记录黑客技术中优秀的内容, 传播黑客文化,分享黑客技术精华

【预警通告】Struts2三爆远程代码执行漏洞(S2-037)

2016-06-17 00:25

2016年5月12日,Apache官方发布安全通告S2-033(CVE-2016-3087),在开启动态方法调用(Dynamic Method Invocation)的情况下,攻击者使用REST插件调用恶意表达式可以远程执行代码。

2016年6月9日,Apache官方发布新的安全通告S2-037,与S2-033相比较,影响会更加广泛,因为不论是否开启动态方法调用(Dynamic Method Invocation),攻击者使用REST插件调用恶意表达式均可以远程执行代码。

漏洞编号为CVE-2016-4438,定名为S2-037。

官方公告地址: https://cwiki.apache.org/confluence/display/WW/S2-037

绿盟科技威胁预警级别

高级:影响范围比较广,危害严重,利用难度较低,7*24小时内部应急跟踪,24小时内完成技术分析、产品升级和防护方案。

影响的版本

  • Apache Struts 2.3.20 – 2.3.28.1,=2.5。

不受影响的版本

  • Apache Struts 2.3.29,2.5.1。

修复方法

修改源代码中 plugins\rest\src\main\java\org\apache\struts2\rest\RestActionMapper.java ,将setMethod函数和setName中的参数通过cleanupActionName函数进行过滤。

如果是受影响的版本及时升级到Apache Struts 2.3.29或2.5.1的版本,目前官方还未正式发布不受影响的版本,代码库地址: https://git-wip-us.apache.org/repos/asf?p=struts.git;a=summary,建议密切关注官方新版本的代码发布,及时升级到不受影响的版本。

绿盟科技安全团队会持续关注事态变化,后续会发布详细的分析报告、产品升级及解决方案,请广大用户随时关注。

绿盟科技威胁事件定级标准

威胁事件定级标准

]1 威胁事件定级标准

声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市交易,股票简称:,股票代码:300369。

如果您需要了解更多内容,可以 加入QQ群:486207500 直接询问:010-68438880-8669

知识来源: blog.nsfocus.net/apache-struts2-vulnerability-warning-notification-s2-037/
想收藏或者和大家分享这篇好文章→复制链接地址

“【预警通告】Struts2三爆远程代码执行漏洞(S2-037)”共有0条留言

发表评论

姓名:

邮箱:

网址:

验证码:

公告

关注公众号hackdig,学习最新黑客技术

推广

工具

标签云